Package: org.apache.groovy.json.internal

## [Java] Class ValueMapImpl

- org.apache.groovy.json.internal.ValueMapImpl

- All Implemented Interfaces and Traits:
    ValueMap

      public class ValueMapImpl
      extends AbstractMap

  This map is for object serialization mainly. The idea is the final conversion of the Value objects are delayed until the last possible moment, i.e., just before injected into a bean.

  Authors:
    Rick Hightower

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `add(MapItemValue miv)` Add a MapItemValue to the map.
    `` | `Set<Entry<String, Value>>` | `entrySet()` If the map has not been built yet, then we just return a fake entry set.
    `` | `Value` | `get(Object key)` Get the items for the key.
    `` | `boolean` | `hydrated()`
    `` | `Entry<String, Value>[]` | `items()`
    `` | `int` | `len()`
    `` | `Value` | `put(String key, Value value)`
    `` | `int` | `size()` Return the size of the map.
    `` | `Collection<Value>` | `values()` Return a collection of values.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractMap` | `remove, get, put, equals, toString, values, hashCode, clear, isEmpty, size, entrySet, putAll, keySet, containsKey, containsValue, wait, wait, wait, getClass, notify, notifyAll, remove, replace, replace, replaceAll, putIfAbsent, forEach, compute, computeIfAbsent, computeIfPresent, getOrDefault, merge`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public void add(MapItemValue miv)

      Add a MapItemValue to the map.

      Parameters:
        `miv` - map value item.

    - #### public Set<Entry<String, Value>> entrySet()

      If the map has not been built yet, then we just return a fake entry set.

    - #### public Value get(Object key)

      Get the items for the key.

      Parameters:
        key
      Returns:
        the items for the given key

    - #### public boolean hydrated()

    - #### public Entry<String, Value>[] items()

    - #### public int len()

    - #### public Value put(String key, Value value)

    - #### public int size()

      Return the size of the map. Use the map if it has already been created.

      Returns:
        size

    - #### public Collection<Value> values()

      Return a collection of values.